## gcc-i686-linux-android 3

=== debian/changelog ===
gcc-i686-linux-android (3) trusty; urgency=medium

  * Rebuild against gcc-4.7 (4.7.3-12ubuntu1):
    - Update to SVN 20140320 (r208693) from the gcc-4_7-branch.
    - Update the Linaro support to the 4.7-2014.01 release.
  * Change build-dependency from libcloog-isl-dev to libcloog-ppl-dev.
  * Change enable-cloog-backend from isl to ppl.
  * Pass --with-cloog configure option.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Mar 2014 15:27:45 +0000

gcc-i686-linux-android (2) trusty; urgency=medium

  * Change libppl0.12-dev dependency to libppl-dev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Mar 2014 11:22:17 +0000

gcc-i686-linux-android (1) trusty; urgency=medium

  * Initial release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 28 Feb 2014 11:55:57 +0000
