=== debian/control ===
Source: gcc-i686-linux-android
Section: multiverse/devel
Priority: extra
Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
Build-Depends: debhelper (>= 9),
  g++-multilib, binutils-multiarch,
  binutils-source, gcc-4.7-source,
  openjdk-6-jdk,
  libppl-dev,
  bison, flex, python,
  zlib1g-dev, libcloog-ppl-dev, libgmp-dev, libmpfr-dev, libmpc-dev,
  patchutils, quilt, lsb-release, texinfo, autogen, dh-exec, devscripts
Standards-Version: 3.9.4

Package: gcc-i686-linux-android
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-multiarch
Description: cross toolchain and binutils for Android/Bionic on ARM
 Cross toolchain targetting Android/Bionic on x86 such as Android,
 ClockWorkMod, Ubuntu Touch recovery image, Ubuntu Tounch android
 containers.
 .
 This package include gcc toolchain for C/C++ languages and binutils.
