## gcc-i686-linux-android 7

=== debian/changelog ===
gcc-i686-linux-android (7) utopic; urgency=medium

  * Drop build dependency on openjdk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Oct 2014 22:56:25 +0200

gcc-i686-linux-android (6) utopic; urgency=medium

  * Rebuild against gcc-4.7 (4.7.4-2ubuntu1):
    - Update to the GCC 4.7.4 release.
    - Update the Linaro support to the 4.7-2014.04 release.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Oct 2014 15:38:45 +0200

gcc-i686-linux-android (5) utopic; urgency=medium

  * No change rebuild to pick up android changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 05 May 2014 22:20:31 -0300

gcc-i686-linux-android (4) utopic; urgency=medium

  * Building gcc with --enable-initfini-array by default, as Android does not
    support .ctors/.dtors.
  * Dropping undefined.patch, already upstream

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 05 May 2014 17:14:13 -0300
