=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: extra
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
 Build-Depends: debhelper (>= 9),
-  g++-multilib, binutils-multiarch,
+  g++-multilib, g++-4.8-multilib, binutils-multiarch,
   binutils-source, gcc-4.7-source,
-  openjdk-6-jdk,
   libppl-dev,
   bison, flex, python,
   zlib1g-dev, libcloog-ppl-dev, libgmp-dev, libmpfr-dev, libmpc-dev,
