=== debian/rules ===
--- 
+++ 
@@ -45,9 +45,7 @@
 	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch i386 apt-get $(dist) source $(SRC)
 	mv repo/$(dist)/android-* android
 	rm -f android/bionic/tests/Android.mk
-	cd android/bionic && patch -p1 < $(CURDIR)/debian/patches/android/undefined.patch
-	mkdir -p stamps && touch $@
-
+	mkdir -p stamps && touch $@
 
 stamps/binutils-prepare:
 	rm -rf binutils
@@ -77,7 +75,7 @@
 		--disable-docs \
 		--disable-nls \
 		--disable-werror \
-                --with-cloog \
+		--with-cloog \
 		--disable-ppl-version-check \
 		--enable-gold=default \
 		--disable-cloog-version-check \
@@ -99,6 +97,7 @@
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--host=$(DEB_BUILD_GNU_TYPE) \
 		--target=$(TARGET) \
+		--enable-initfini-array \
 		--disable-multilib \
 		--with-gnu-as \
 		--with-gnu-ld \
@@ -106,7 +105,7 @@
 		--with-arch=i686 \
 		--with-tune=atom \
 		--with-fpmath=sse \
-                --with-cloog \
+		--with-cloog \
 		--disable-ppl-version-check \
 		--disable-cloog-version-check \
 		--enable-cloog-backend=ppl \
@@ -115,7 +114,6 @@
 		--disable-shared \
 		--disable-sjlj-exceptions \
 		--disable-libquadmath \
-		--disable-libitm \
 		--disable-libatomic \
 		--enable-target-optspace \
 		--disable-docs \
@@ -160,6 +158,7 @@
 		--host=$(DEB_BUILD_GNU_TYPE) \
 		--target=$(TARGET) \
 		--with-build-sysroot=$(SYSROOT) \
+		--enable-initfini-array \
 		--disable-multilib \
 		--with-gnu-as \
 		--with-gnu-ld \
@@ -176,7 +175,6 @@
 		--disable-shared \
 		--disable-sjlj-exceptions \
 		--disable-libquadmath \
-		--disable-libitm \
 		--disable-libatomic \
 		--enable-target-optspace \
 		--disable-docs \
@@ -238,3 +236,5 @@
 	tar -C $(DESTDIR) -c -f - . | tar -C $(d) -x -f -
 
 	cp -a $(SYSROOT)/usr/lib/* $(d)/usr/$(DEB_BUILD_GNU_TYPE)/$(TARGET)/lib/
+	cp -a $(SYSROOT)/usr/include $(d)/usr/$(DEB_BUILD_GNU_TYPE)/$(TARGET)
+	find $(d) -name "*.la" -delete
