## gcc-i686-linux-android 9

=== debian/changelog ===
gcc-i686-linux-android (9) xenial; urgency=medium

  * Rebuild against gcc-4.7 (4.7.4-3ubuntu10):
  * Build using gcc-4.7.
  * Configure the stage2 gcc build with --enable-cloog-backend=ppl.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2015 21:18:43 +0100
