=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
 Build-Depends: debhelper (>= 9),
   g++-multilib, g++-4.8-multilib, binutils-multiarch,
-  binutils-source, gcc-4.7-source,
-  libppl-dev,
+  binutils-source, gcc-4.7-source (>= 4.7.4-3ubuntu10), gcc-4.7,
+  libpplv4-dev,
   bison, flex, python,
-  zlib1g-dev, libcloog-ppl-dev, libgmp-dev, libmpfr-dev, libmpc-dev,
+  zlib1g-dev, libcloog-pplv4-dev, libgmpv4-dev, libmpfr-dev, libmpc-dev,
   patchutils, quilt, lsb-release, texinfo, autogen, dh-exec, devscripts
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 
 Package: gcc-i686-linux-android
 Architecture: amd64 i386
