=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,9 @@
 CFLAGS_FOR_TARGET = -O2 -Os -g -DTARGET_POSIX_IO -fno-short-enums -isystem $(CURDIR)/android/bionic/libc/include -isystem $(CURDIR)/android/bionic/libc/kernel/common -isystem $(CURDIR)/android/bionic/libc/kernel/arch-x86 -isystem $(CURDIR)/android/bionic/libc/arch-x86/include -isystem $(CURDIR)/android/bionic/libm/include -isystem $(CURDIR)/android/bionic/libm/include/i387 -isystem $(CURDIR)/android/bionic/libm/i387 -isystem $(CURDIR)/android/bionic/libm/i386 -include $(CURDIR)/android/bionic/libc/include/sys/limits.h
 
 CFLAGS=-O2
+
+# only used to build gcc
+CC = gcc-4.7
 
 # Needed when landing via CI Train
 #LANDING_URL = http://ppa.launchpad.net/ci-train-ppa-service/landing-004/ubuntu
@@ -91,7 +94,7 @@
 	#rm -rf gcc/stage1
 	mkdir -p gcc/stage1
 	cd gcc/stage1 && \
-	  $(SET_PATH) CFLAGS_FOR_TARGET="$(CFLAGS_FOR_TARGET)" CXXFLAGS_FOR_TARGET="$(CFLAGS_FOR_TARGET)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" ../src/configure \
+	  $(SET_PATH) CFLAGS_FOR_TARGET="$(CFLAGS_FOR_TARGET)" CXXFLAGS_FOR_TARGET="$(CFLAGS_FOR_TARGET)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" CC="$(CC)" ../src/configure \
 		--prefix=$(DESTDIR)/usr \
 		--libexecdir=$(DESTDIR)/usr/lib \
 		--build=$(DEB_BUILD_GNU_TYPE) \
@@ -151,7 +154,7 @@
 	mkdir -p gcc/stage2
 	# FIXME should use --prefix=/usr & --with-build-sysroot ?
 	cd gcc/stage2 && \
-	  $(SET_PATH) CFLAGS_FOR_TARGET="$(CFLAGS_FOR_TARGET) -fexceptions" CXXFLAGS_FOR_TARGET="$(CFLAGS_FOR_TARGET) -frtti" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" ../src/configure \
+	  $(SET_PATH) CFLAGS_FOR_TARGET="$(CFLAGS_FOR_TARGET) -fexceptions" CXXFLAGS_FOR_TARGET="$(CFLAGS_FOR_TARGET) -frtti" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" CC="$(CC)" ../src/configure \
 		--prefix=/usr \
 		--libexecdir=/usr/lib \
 		--build=$(DEB_BUILD_GNU_TYPE) \
@@ -168,7 +171,7 @@
 		--with-fpmath=sse \
 		--disable-ppl-version-check \
 		--disable-cloog-version-check \
-		--enable-cloog-backend=isl \
+		--enable-cloog-backend=ppl \
 		--disable-libssp \
 		--disable-nls \
 		--disable-libmudflap \
@@ -204,7 +207,7 @@
 		--disable-ppl-version-check \
 		--enable-gold=default \
 		--disable-cloog-version-check \
-		--enable-cloog-backend=isl \
+		--enable-cloog-backend=ppl \
 		--enable-plugins \
 		--enable-threads \
 		--enable-shared
@@ -236,5 +239,3 @@
 	tar -C $(DESTDIR) -c -f - . | tar -C $(d) -x -f -
 
 	cp -a $(SYSROOT)/usr/lib/* $(d)/usr/$(DEB_BUILD_GNU_TYPE)/$(TARGET)/lib/
-	cp -a $(SYSROOT)/usr/include $(d)/usr/$(DEB_BUILD_GNU_TYPE)/$(TARGET)
-	find $(d) -name "*.la" -delete
